body {
    font-family: Arial, sans-serif;
    background: #f5f5f5;
    min-height: 100vh;
    margin: 0;

    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
    background: white;
    width: 90%;
    max-width: 420px;
    box-sizing: border-box;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 0 12px rgba(0,0,0,0.12);
    text-align: center;
}

#originalImg {
    max-width: 100%;
    max-height: 240px;
    margin-top: 15px;
    border-radius: 10px;
    object-fit: cover;
    border: 2px solid #ddd;
}

#result, #confidence {
    margin-top: 12px;
    font-size: 18px;
    font-weight: 700;
    color: #222;
}

button {
    margin-top: 15px;
    padding: 10px 16px;
    cursor: pointer;
    border: none;
    border-radius: 8px;
    background: #1f1f1f;
    color: white;
    font-weight: 600;
    transition: 0.2s ease-in-out;
    margin-right: 6px;
}

button:hover {
    background: #000000;
    transform: scale(1.03);
}

#fileInput {
    max-width: 100%;
}